unit Ex2;

(*
 *
 * YOU MUST HAVE QUICKREPORT INSTALLED FOR THIS EXAMPLE TO WORK!!
 *
 *)

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, DBCtrls, ExtCtrls, Grids, DBGrids, DB, DBTables,
  Datacole, StdCtrls;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    Table1: TTable;
    DBGrid1: TDBGrid;
    Panel1: TPanel;
    Panel2: TPanel;
    DBNavigator1: TDBNavigator;
    Table1PROV: TStringField;
    Table1AREA: TStringField;
    Table1SECTOR: TStringField;
    Table1SUBSECTOR: TStringField;
    Table1STAT_NBR: TStringField;
    Table1STAT_NAME: TStringField;
    Table1STAT_TYPE: TStringField;
    Table1SORT_ORDER: TStringField;
    Table1ZONE: TStringField;
    Table1EASTING: TStringField;
    Table1NORTHING: TStringField;
    Table1LAT: TFloatField;
    Table1LONG: TFloatField;
    Table1ACTIVE: TStringField;
    Table1UPDATED: TDateField;
    Button1: TButton;
    DataCollector1: TDataCollector;
    Button2: TButton;
    DataCollector2: TDataCollector;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure DataCollector1ReportPrint(DataSet: TDataset;
      DataSource: TDataSource);
    procedure DataCollector1ReportPreview(DataSet: TDataset;
      DataSource: TDataSource);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses rptsterr;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  DataCollector1.Execute;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  DataCollector2.Execute;
end;

procedure TForm1.DataCollector1ReportPrint(DataSet: TDataset;
  DataSource: TDataSource);
begin
  rpt_STERR.DataSource.DataSet := DataSet;
  rpt_STERR.QuickReport.Print;
end;

procedure TForm1.DataCollector1ReportPreview(DataSet: TDataset;
  DataSource: TDataSource);
begin
  rpt_STERR.DataSource.DataSet := DataSet;
  rpt_STERR.QuickReport.Preview;
end;

end.
